@echo off
setlocal

rem
rem Copyright (C) 2008 Funambol, Inc.  All rights reserved.
rem

set SCRIPT_NAME=%~nx0
set CMD_HOME=%~dp0..

IF "%FUNAMBOL_HOME%" == "" (
    IF EXIST "%CMD_HOME%\..\..\ds-server" (
        set FUNAMBOL_HOME=%CMD_HOME%\..\..
    ) ELSE (
      echo ERROR: Please set FUNAMBOL_HOME before running this script.
      goto END  
    )
) ELSE (
    IF NOT EXIST "%FUNAMBOL_HOME%\ds-server" (
        echo ERROR: Please set FUNAMBOL_HOME to a valid path.
        goto END
    )
)

rem Setting the JAVA_HOME to the JRE in the bundle if not set or if not correctly set
if EXIST %FUNAMBOL_HOME%\tools\jre-1.5.0\jre (
    IF "%JAVA_HOME%" == "" (
        set JAVA_HOME=%FUNAMBOL_HOME%\tools\jre-1.5.0\jre
    ) ELSE (
        IF NOT EXIST "%JAVA_HOME%\bin\java.exe" (
            set JAVA_HOME=%FUNAMBOL_HOME%\tools\jre-1.5.0\jre
        )
    )
)    

if not "%JAVA_HOME%" == "" goto verifyJavaHome
echo ERROR: Please, set JAVA_HOME before running this script.
goto END

:verifyJavaHome
if EXIST "%JAVA_HOME%\bin\java.exe" goto okJavaHome
echo ERROR: Set JAVA_HOME to the path of a valid jre.
goto END

:okJavaHome

set ANT_PATH=%FUNAMBOL_HOME%\ds-server\ant\bin\

set ANT_OPTS=%ANT_OPTS% -Dfile.encoding=UTF-8

REM building classpath, using sdk lib
REM ------------------

cd %CMD_HOME%\lib
set CLASSPATH=%cd%\ext\jdom.jar;%CLASSPATH%
set CLASSPATH=%CLASSPATH%;%cd%
for %%i in (*.jar) do call :append %%i

REM adding jdbc driver and jdom libreary
REM ------------------
cd ext
set CLASSPATH=%CLASSPATH%;%cd%
for %%i in (*.jar) do call :append %%i
goto okClasspath

:append
set CLASSPATH=%CLASSPATH%;%cd%\%*
goto :eof

:okClasspath

cd ..\..\config

%ANT_PATH%ant -q -f test.xml -Dfunambol.home=%FUNAMBOL_HOME% %*

:END
endlocal
